// Miraplacid Publisher 5 Examples. (C) 2004, Miraplacid.
//
// Miraplacid Publisher :: Automatic printing
//                      :: Saving converted document to several destinations (JScript)
//
// To make this script work, please, specify your real FTP server parameters
// in code below.
//
word = WScript.CreateObject("Word.Application");
word.Visible=1;
word.Documents.Open("c:\\test.doc");
word.Documents("c:\\test.doc").Activate();

prn = WScript.CreateObject("Miraplacid.Publisher");

word.ActivePrinter=prn.PrinterName;

// Set up Miraplacid Publisher
prn("scalepercent")=0; // set size in pixels
prn("scalewidth")=600; // scale to this width
prn("scaleheight")=800; // scale to this height
prn("scaleconstrain")=1; // preserve aspect ratio
prn("flipv")=1; // flip vertical on
prn("fliph")=1; // flip horizontal on
prn("gamma")=500; // set gamma
prn.AutoSend=1; // Turn AutoSend ON

prn.Format="jpg";
prn.FormatParam("quality")=6; // 6=70%

prn.Transport="File,FTP";
prn.TransportParam("File","path")="c:\\doc_{{DATE}}";
prn.TransportParam("File","filename")="Page_{{PAGE}}";
prn.TransportParam("File","setfilename")=0;
prn.TransportParam("FTP","url")="ftp://main";
prn.TransportParam("FTP","file")="Page_{{PAGE}}";
prn.TransportParam("FTP","user")="avp";
prn.TransportParam("FTP","password")="bomb60ux";

// Print Word document:
word.ActiveDocument.PrintOut();

while (0 == (prn.JobStatus & 4)) {
	WScript.Echo("Waiting for Start... "+prn.JobStatus);
	WScript.Sleep(1000);
}

while (0 != (prn.JobStatus & 4)) {
	WScript.Echo("Waiting for End... "+prn.JobStatus);
	WScript.Sleep(1000);
}

WScript.Echo("Done");

word.Documents("c:\\test.doc").Close();
word.Quit();
// Always stop Miraplacid Publisher when you are done with it.
prn.Stop();
